let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/bfdwg32g70ckvjh0wajn609ay92hb5fp-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/xs9gy430k1d60nyhghvsqax779zc2vlr-coreutils-8.32/bin";
  bzip2 = "/nix/store/16zmpgsbi7yixz7bfmawackgss0034h1-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/89mkwv7ijzw9kp04pfg8ja7pplsw56af-gzip-1.10/bin/gzip";
  xz = "/nix/store/mdamy671c4jmyymhkqf34yplncplm3f5-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/jnc2f5zazvm7gswyh3kp4q5ipn60ywpq-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/xs9gy430k1d60nyhghvsqax779zc2vlr-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/zsaza9pwim617ak15fsc31lv65b9w3in-nix-2.3.16/bin";
  nixPrefix = "/nix/store/zsaza9pwim617ak15fsc31lv65b9w3in-nix-2.3.16";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/zsaza9pwim617ak15fsc31lv65b9w3in-nix-2.3.16/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
